<template>
  <v-toolbar
      app
      :clipped-left="clipped"
    >
      <v-toolbar-side-icon @click.stop="switchProp($event, 'drawer', drawer)" :outline="drawer"></v-toolbar-side-icon>
      <v-btn icon @click.stop="switchProp($event, 'miniVariant', miniVariant)" :outline="miniVariant" v-if="$vuetify.breakpoint.mdAndUp">
        <v-icon v-html="miniVariant ? 'chevron_right' : 'chevron_left'"></v-icon>
      </v-btn>
      <v-btn icon @click.stop="switchProp($event, 'clipped', clipped)" :outline="clipped" v-if="$vuetify.breakpoint.mdAndUp">
        <v-icon>web</v-icon>
      </v-btn>
      <v-toolbar-title v-text="title"></v-toolbar-title>
      <v-spacer></v-spacer>
    </v-toolbar>
</template>

<script>
export default {
  name: 'Toolbar',
  props: {
    clipped: Boolean,
    drawer: Boolean,
    miniVariant: Boolean,
    title: String
  },
  methods: {
    /**
     * switchProp
     * Notifies parent component when any of its properties changes
     * so that it can use them accordingly.
     */
    switchProp: function (e, propName, propValue) {
      this.$emit('switchProp', propName, !propValue)
    }
  }
}
</script>
